Loading...
Searching...
No Matches
BALL::SideChainOptimizer Class Reference

`#include <BALL/DOCKING/COMMON/sideChainOptimizer.h>`

## Public Member Functions

| SideChainOptimizer (ScoringFunction *sf)
| ~SideChainOptimizer ()
void | setFlexibleResidues (const std::set< String > &residues_IDs)
void | optimize ()
void | findFlexibleSideChains (std::set< Residue * > &residues, const double &dist_cutoff, const double &min_B_factor)

## Detailed Description

Definition at line 21 of file sideChainOptimizer.h.

## Constructor & Destructor Documentation

## SideChainOptimizer()

BALL::SideChainOptimizer::SideChainOptimizer | ( | ScoringFunction * | sf | ) |

## ~SideChainOptimizer()

BALL::SideChainOptimizer::~SideChainOptimizer | ( |  | ) |

## Member Function Documentation

## findFlexibleSideChains()

void BALL::SideChainOptimizer::findFlexibleSideChains | ( | std::set< Residue * > & | residues,
|  | const double & | dist_cutoff,
|  | const double & | min_B_factor )

## optimize()

void BALL::SideChainOptimizer::optimize | ( |  | ) |

## setFlexibleResidues()

void BALL::SideChainOptimizer::setFlexibleResidues | ( | const std::set< String > & | residues_IDs | ) |